## cppunit 1.14.0

=== examples/ClockerPlugIn/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# examples/ClockerPlugIn/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cppunit
pkgincludedir = $(includedir)/cppunit
pkglibdir = $(libdir)/cppunit
pkglibexecdir = $(libexecdir)/cppunit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = examples/ClockerPlugIn
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_cxx_have_strstream.m4 \
	$(top_srcdir)/m4/ac_cxx_string_compare_string_first.m4 \
	$(top_srcdir)/m4/ac_dll.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
	$(top_srcdir)/m4/ax_cxx_have_isfinite.m4 \
	$(top_srcdir)/m4/ax_cxx_have_sstream.m4 \
	$(top_srcdir)/m4/ax_cxx_namespaces.m4 \
	$(top_srcdir)/m4/ax_prefix_config_h.m4 \
	$(top_srcdir)/m4/bb_enable_doxygen.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/moggi/devel/cppunit/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/moggi/devel/cppunit/missing autoconf
AUTOHEADER = ${SHELL} /home/moggi/devel/cppunit/missing autoheader
AUTOMAKE = ${SHELL} /home/moggi/devel/cppunit/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
CPP = gcc -E
CPPFLAGS = 
CPPUNIT_BINARY_AGE = 0
CPPUNIT_CXXFLAGS = 
CPPUNIT_INTERFACE_AGE = 0
CPPUNIT_MAJOR_VERSION = 1
CPPUNIT_MICRO_VERSION = 0
CPPUNIT_MINOR_VERSION = 14
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -Werror -Wall -Wextra -pedantic
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOT = /usr/bin/dot
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
HAVE_CXX11 = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBADD_DL = -ldl
LIBOBJS = 
LIBS =  -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_RELEASE = 1.14
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/moggi/devel/cppunit/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = cppunit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cppunit
PACKAGE_STRING = cppunit 1.14.0
PACKAGE_TARNAME = cppunit
PACKAGE_URL = 
PACKAGE_VERSION = 1.14.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.14.0
abs_builddir = /home/moggi/devel/cppunit/examples/ClockerPlugIn
abs_srcdir = /home/moggi/devel/cppunit/examples/ClockerPlugIn
abs_top_builddir = /home/moggi/devel/cppunit
abs_top_srcdir = /home/moggi/devel/cppunit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
enable_dot = yes
enable_html_docs = yes
enable_latex_docs = no
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/moggi/devel/cppunit/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = WinNtTimer.h WinNtTimer.cpp ClockerPlugIn.dsp \
	Timer.h ClockerListener.h \
	Timer.cpp ClockerListener.cpp \
	ClockerPlugIn.cpp ClockerModel.h \
  ClockerModel.cpp ReadMe.txt \
  ClockerXmlHook.h ClockerXmlHook.cpp

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign examples/ClockerPlugIn/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign examples/ClockerPlugIn/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

## cppunit 1.12.1

=== debian/changelog ===
cppunit (1.12.1-4) unstable; urgency=low

  * source/format: Switch to format 3.0 (quilt).
  * patches: New.  Contains all upstream modifications formerly in the
    debian diff.
  
  * patches/gcc-symbol-demangle.patch: New.  Closes: #650033.

  * rules: Clear dependency_libs from .la files.  Use dh_autoreconf /
    dh_autoreconf_clean to accommodate patches gcc-symbol-demangle and
    link-with-dl.patch that modify autoconfigure inputs.

  * patches/test-progress-flush.patch: New.  Upstream change sets to avoid
    losing test runner messages.  Closes: #400867.
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 00:26:51 -0600

cppunit (1.12.1-3) unstable; urgency=low

  * compat:
  * control: Use debhelper 8.  
  
  * rules:
  * control: Remove libqttestrunner1c2a.  Closes: #604345.

  * control: Update Standards-Version, add ${misc:Depends}
  * copyright: Refer to versioned LGPL.
  * libcppunit-doc.doc-base: Change to section Programming.
  * rules: don't ignore errors on clean/distclean.  Replace dh_clean -k by
    dh_prep.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Feb 2011 23:57:07 -0600

cppunit (1.12.1-2) unstable; urgency=low

  * Acknowledge NMU (thanks, Nobuhiro Iwamatsu).  Closes: #531584.

  * Move to collab-maint.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Feb 2011 22:21:33 -0600

cppunit (1.12.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support Renesas SH(sh4). Closes: #531584.
    - Add -mieee option to CXXFLAGS in debian/rules.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Jan 2011 12:55:46 +0900

cppunit (1.12.1-1) unstable; urgency=low

  * New upstream release.
    - No longer uses Qt3 compatibility headers.
    - Builds with g++-4.3.  Closes: #441521.
  
  * debian/control: Remove build-dep libqt3-compat-headers.  Closes: #464248.
  Change from package libcppunit-1.12-0 to libcppunit-1.12-1.
  
  * debian/rules: Change from package libcppunit-1.12-0 to
    libcppunit-1.12-1.
  
  * debian/copyright: Add explicit license text.  Closes: #437526.
  
  * Fix lintian warnings:
    - cppunit-config.1: Remove unknown markup ".l".
    - debian/control: Add Homepage header; remove homepage from long 
      description.  Change deprecated ${Source-Version} to ${binary:Version}.
      Bump standards-version to 3.7.3.0 (no changes required).
    - debian/libcppunit-doc.doc-base: Remove dangerous whitespace.
    - debian/rules: Remove .cvsignore files.  Remove execute bit from
      example run.bat file.

 -- Steve M. Robbins <smr@debian.org>  Wed, 20 Feb 2008 22:43:21 -0600

cppunit (1.12.0-3) unstable; urgency=low

  * debian/rules: Build with -O0 on alpha.  This should work around
  FTBFS on alpha (#410537).

 -- Steve M. Robbins <smr@debian.org>  Wed, 28 Feb 2007 23:54:41 -0600

cppunit (1.12.0-2) unstable; urgency=low

  * src/cppunit/TestAssert.cpp:
  * examples/cppunittest/TestAssertTest.cpp: Fix CPPUNIT_ASSERT_DOUBLES_EQUAL() to work
  properly with NaN values (debian/patch04.assert-doubles-equal).  Closes: #396865.

  * debian/rules: 
  * debian/examples: Add all example code to libcppunit-doc.  Closes: #379968.
  
 -- Steve M. Robbins <smr@debian.org>  Fri, 10 Nov 2006 22:50:17 -0600

cppunit (1.12.0-1) unstable; urgency=low

  * New upstream version.  Closes: #376122.
    - debian/control: new lib package libcppunit-1.12-0
    - debian/rules: explicitly use qmake-qt3; tweak clean rule; 
      update runtime package name; add -L and -l options to dh_shlibdeps
    - debian/cppunit-1.10.2-nostandalone.patch remove; incorporated upstream.
  
  * include/cppunit/TestResult.h: Include <string>
    - patch in debian/patch01.testresult-include-string

  * src/cppunit/Makefile.am: Link libcppunit with -ldl, add test case (this
    is the fix of #338252)
    - patch in debian/patch02.cppunit-link-test

  * src/qttestrunner/qttestrunnerlib.pro: Set CONFIG to build a release shared
    lib; remove "_shared" from shared lib name; link against libcppunit in
    directory src/cppunit/.libs
    - patch in debian/patch03.qttestrunner-libname-linkage

 -- Steve M. Robbins <smr@debian.org>  Thu, 20 Jul 2006 23:48:51 -0400

cppunit (1.10.2-8) unstable; urgency=low

  * debian/control: Fix section of -doc package.
  
  * examples/money/MoneyTest.cpp:
  * examples/money/MoneyTest.h: Replace deprecated CPPUNIT_TEST_EXCEPTION 
  by CPPUNIT_ASSERT_THROW.  Fixes build failure on alpha.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2006 15:59:30 -0500

cppunit (1.10.2-7) unstable; urgency=low

  * Apply sourceforge patch [997006] to enable non-standalone XML output.
  Closes: #348727.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2006 02:08:36 -0500

cppunit (1.10.2-6) unstable; urgency=low

  * Apply Roger Leigh's patch to generate a pkconfig file.  Closes:
    #345925.

  * debian/control:
  * debian/rules: Split docs out of libcppunit-dev into libcppunit-doc.
    Closes: #345924.  Currently the installed size is 8M for -doc and 1M for -dev.
  
  * Update standards-version to 3.6.2.0
    - debian/rules: build using CFLAGS="-g -D_REENTRANT -Wl,-z,defs" by default; 
      honour DEB_BUILD_OPTIONS=noopt to disable optimization

 -- Steve M. Robbins <smr@debian.org>  Fri, 13 Jan 2006 23:43:46 -0500

cppunit (1.10.2-5) unstable; urgency=low

  * src/cppunit/Makefile.am: Link libcppunit with -ldl (thanks, Aurelien
    Jarno).  Add test case to check linking.  Closes: #338252.
  
  * debian/rules: Run "make check" as part of build.

  * examples/hierarchy/ChessTest.h: Qualify access to base-class variable
  m_game with "this->".
  
  * debian/control: Rename library packages to use "c2a" suffix, due to
  libstdc++ allocator change.  Declare conflicts & replaces with the 
  previous "c2" packages.  Closes: #339158.

 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Nov 2005 22:12:05 -0500

cppunit (1.10.2-4) unstable; urgency=low

  * GCC 4 transition.  Closes: #322557.
  
  * debian/control: Remove obsolete "cppunit" transition package.  


=== debian/control ===
Source: cppunit
Homepage: http://cppunit.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/cppunit/trunk/?op=log
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/cppunit/trunk
Section: devel
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 8), dh-autoreconf, doxygen
Standards-Version: 3.9.2

Package: libcppunit-1.12-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.

Package: libcppunit-dev
Section: devel
Architecture: any
Depends: libcppunit-1.12-1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libqttestrunner1c2a (= ${binary:Version}), libcppunit-doc
Replaces: cppunit (<< 1.10.0-3)
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.
 .
 Package libqttestrunner1 is required for using the Qt-based
 test runner GUI.

Package: libcppunit-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cppunit (<< 1.10.0-3), libcppunit-dev (<< 1.10.2-6)
Replaces: cppunit (<< 1.10.0-3), libcppunit-dev (<< 1.10.2-6)
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.
 .
 Package libqttestrunner1 is required for using the Qt-based
 test runner GUI.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXXFLAGS = -g -D_REENTRANT -Wl,-z,defs
export CXXFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CXXFLAGS += -O0
else
    ifeq (m68k,$(DEB_HOST_ARCH))
        CXXFLAGS += -O0
    else ifeq (alpha,$(DEB_HOST_ARCH))
        CXXFLAGS += -O0
    else ifeq (sh4,$(DEB_HOST_ARCH))
        CXXFLAGS += -O2 -mieee
    else
        CXXFLAGS += -O2
    endif
endif

build: build-stamp
build-stamp:
	dh_testdir

	dh_autoreconf
	./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
	$(MAKE)

	$(MAKE) check

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	find src -name '*.o' | xargs rm -f
	rm -f config.log
	rm -rf lib

	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp \
		htmldir=/usr/share/doc/libcppunit-doc/html \
		install

	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	# Runtime library package
	dh_install -plibcppunit-1.12-1 --autodest debian/tmp/usr/lib/lib*.so.*

	# Developer package
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/DllPlugInTester
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/cppunit-config

	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/lib*.so
	dh_install -plibcppunit-dev usr/lib/lib*.so usr/lib
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/lib*.a
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/lib*.la
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/pkgconfig
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/include

	dh_installman -plibcppunit-dev         debian/tmp/usr/share/man/man*/*
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/share/aclocal

	# Documentation package
	$(MAKE) -C examples clean
	dh_install -plibcppunit-doc --autodest debian/tmp/usr/share/doc
	dh_installexamples -plibcppunit-doc examples/* debian/examples/*
	chmod 644 debian/libcppunit-doc/usr/share/doc/libcppunit-doc/examples/qt/run.bat
	find debian -name .cvsignore | xargs rm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress -XMakefile
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libcppunit-1.12-1 -l debian/libcppunit-1.12-1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/cppunit/cppunit-([\d\.]+)\.tar\.gz

## cppunit 1.13.1

=== debian/changelog ===
cppunit (1.13.1-2ubuntu1) trusty; urgency=low

  * Build with dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 16:20:56 +0100

cppunit (1.13.1-2) unstable; urgency=low

  * Upload to unstable.

  * control: Fix sections.  Closes: #693727.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 May 2013 20:34:20 -0500

cppunit (1.13.1-1) experimental; urgency=low

  * New upstream.
  
  * watch: Update to freedesktop.org URL.

  * rules: Split override_dh_install into arch & indep overrides.  Fixes
    build failure where build daemons try to chmod a file in
    libcppunit-doc (which they don't build, so file doesn't exist).

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Oct 2012 21:56:52 -0500

cppunit (1.13.0-1) experimental; urgency=low

  * New upstream.
    - Switch to new upstream maintainers at freedesktop.org.

  * patches/link-with-dl.patch:
  * patches/gcc-symbol-demangle.patch:
  * patches/test-progress-flush.patch: Remove.  Applied upstream.
  
  * rules: Rewrite to use 'dh' at debhelper level 9.  Install into
    multi-arch directories.  Do not ship libtool .la file.
  
  * control: Update for multi-arch, new upstream version.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Sep 2012 23:01:26 -0500

=== debian/control ===
Source: cppunit
Homepage: http://www.freedesktop.org/wiki/Software/cppunit
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/cppunit/trunk/?op=log
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/cppunit/trunk
Section: devel
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), doxygen, dh-autoreconf
Standards-Version: 3.9.4

Package: libcppunit-1.13-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.

Package: libcppunit-dev
Section: libdevel
Architecture: any
Depends: libcppunit-1.13-0 (= ${binary:Version}), ${misc:Depends}
Suggests: libcppunit-doc
Replaces: cppunit (<< 1.10.0-3)
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.

Package: libcppunit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: cppunit (<< 1.10.0-3), libcppunit-dev (<< 1.10.2-6)
Replaces: cppunit (<< 1.10.0-3), libcppunit-dev (<< 1.10.2-6)
Description: Unit Testing Library for C++
 CppUnit is a simple Framework for incorporating test cases in 
 your C++ code.  It is similar to, and inspired by, xUnit and
 JUnit.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf


override_dh_install-arch:
	# Runtime library package
	dh_install -plibcppunit-1.13-0 --autodest debian/tmp/usr/lib/*/lib*.so.*

	# Developer package
#	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/DllPlugInTester
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/cppunit-config

	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/lib*.so
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/lib*.a
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/pkgconfig
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/include

	dh_installman -plibcppunit-dev         debian/tmp/usr/share/man/man*/*
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/share/aclocal

override_dh_install-indep:
	# Documentation package
	$(MAKE) -C examples clean
	dh_installdocs -plibcppunit-doc doc/html
	dh_installexamples -plibcppunit-doc examples/* debian/examples/*
	chmod 644 debian/libcppunit-doc/usr/share/doc/libcppunit-doc/examples/qt/run.bat

## cppunit 1.13.2

=== debian/changelog ===
cppunit (1.13.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  * merge from Ubuntu:
    + Build using GCC 5.
    + Renamed library for gcc5 transition

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Aug 2015 18:33:56 +0000

cppunit (1.13.2-2) unstable; urgency=medium

  * control:
  * rules: Replace autotools-dev by autoreconf.  Closes: #752700.

 -- Steve M. Robbins <smr@debian.org>  Sun, 24 Aug 2014 23:30:28 -0500

cppunit (1.13.2-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Tue, 01 Apr 2014 00:52:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: cppunit
 Homepage: http://www.freedesktop.org/wiki/Software/cppunit
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/cppunit/trunk/?op=log
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/cppunit/trunk
 Section: devel
 Priority: optional
 Maintainer: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9), doxygen, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
-Package: libcppunit-1.13-0
+Package: libcppunit-1.13-0v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libcppunit-1.13-0
+Replaces: libcppunit-1.13-0
 Description: Unit Testing Library for C++
  CppUnit is a simple Framework for incorporating test cases in 
  your C++ code.  It is similar to, and inspired by, xUnit and
@@ -22,7 +22,7 @@
 Package: libcppunit-dev
 Section: libdevel
 Architecture: any
-Depends: libcppunit-1.13-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libcppunit-1.13-0v5 (= ${binary:Version}), ${misc:Depends}
 Suggests: libcppunit-doc
 Replaces: cppunit (<< 1.10.0-3)
 Description: Unit Testing Library for C++

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 override_dh_install-arch:
 	# Runtime library package
-	dh_install -plibcppunit-1.13-0 --autodest debian/tmp/usr/lib/*/lib*.so.*
+	dh_install -plibcppunit-1.13-0v5 --autodest debian/tmp/usr/lib/*/lib*.so.*
 
 	# Developer package
 #	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/DllPlugInTester

## cppunit 1.14.0

=== debian/changelog ===
cppunit (1.14.0-4) unstable; urgency=medium

  * debian/patches/gcc9.diff: backport from git (closes: #925661) 
  * debian/*.README.Debian: remove (closes: #908523) 

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Jul 2019 21:49:12 +0200

cppunit (1.14.0-3) unstable; urgency=medium

  * move docs build into build-indep and doxygen to Build-Depends-Indep:
    (closes: #870028)

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jul 2017 18:54:12 +0200

cppunit (1.14.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Jul 2017 18:42:03 +0200

cppunit (1.14.0-1) experimental; urgency=medium

  * New upstream release (closes: #861718)

  * move Maintainer to Debian LibreOffice Maintainers (with Steves
    permission) - as upstream is TDF anyway. Keep smr in Uploaders: and 
    add me

 -- Rene Engelhard <rene@debian.org>  Sun, 14 May 2017 19:38:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Homepage: http://www.freedesktop.org/wiki/Software/cppunit
 Section: devel
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
-Build-Depends: debhelper (>= 9), doxygen, dh-autoreconf
-Standards-Version: 3.9.5
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Uploaders: Rene Engelhard <rene@debian.org>, Steve M. Robbins <smr@debian.org>
+Build-Depends: debhelper (>= 10)
+Build-Depends-Indep: doxygen
+Standards-Version: 4.0.0
+Vcs-Git: https://salsa.debian.org/libreoffice-team/libs/cppunit.git
+Vcs-Browser: https://salsa.debian.org/libreoffice-team/libs/cppunit
 
-Package: libcppunit-1.13-0v5
+Package: libcppunit-1.14-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libcppunit-1.13-0
-Replaces: libcppunit-1.13-0
 Description: Unit Testing Library for C++
  CppUnit is a simple Framework for incorporating test cases in 
  your C++ code.  It is similar to, and inspired by, xUnit and
@@ -22,7 +24,7 @@
 Package: libcppunit-dev
 Section: libdevel
 Architecture: any
-Depends: libcppunit-1.13-0v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libcppunit-1.14-0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libcppunit-doc
 Replaces: cppunit (<< 1.10.0-3)
 Description: Unit Testing Library for C++

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_configure -- --disable-html-docs --disable-doxygen
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_configure
	$(MAKE) -C doc

override_dh_auto_test:
	if [ -f ./src/cppunit/.libs/libcppunit.so ]; then dh_auto_test; fi

override_dh_auto_install:
	if [ -f ./src/cppunit/.libs/libcppunit.so ]; then dh_auto_install; fi

override_dh_install-arch:
	# Runtime library package
	dh_install -plibcppunit-1.14-0 --autodest debian/tmp/usr/lib/*/lib*.so.*

	# Developer package
#	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/DllPlugInTester

	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/lib*.so
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/lib*.a
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/lib/*/pkgconfig
	dh_install -plibcppunit-dev --autodest debian/tmp/usr/include
	# W: libcppunit-1.14-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libcppunit-1.14.so.0.0.0 usr/lib/x86_64-linux-gnu/libcppunit-1.14.so
	dh_link -plibcppunit-dev /usr/lib/$(DEB_HOST_MULTIARCH)/libcppunit.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libcppunit-1.14.so

override_dh_install-indep:
	# Documentation package
	$(MAKE) -C examples clean
	dh_installdocs -plibcppunit-doc doc/html
	dh_installexamples -plibcppunit-doc examples/* debian/examples/*
	rm -f debian/libcppunit-doc/usr/share/doc/libcppunit-doc/examples/simple/.gitignore

## cppunit 1.15.1

=== debian/changelog ===
cppunit (1.15.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:55 +0100

cppunit (1.15.1-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Jan 2020 22:45:37 +0100

cppunit (1.15.1-1) experimental; urgency=medium

  * New upstream version 1.15.1
  * libcppunit-1.14-0 -> libcppunit-1.15-0
  * remove obsolete gcc9.diff

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Dec 2019 12:19:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Git: https://salsa.debian.org/libreoffice-team/libs/cppunit.git
 Vcs-Browser: https://salsa.debian.org/libreoffice-team/libs/cppunit
 
-Package: libcppunit-1.14-0
+Package: libcppunit-1.15-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Package: libcppunit-dev
 Section: libdevel
 Architecture: any
-Depends: libcppunit-1.14-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libcppunit-1.15-0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libcppunit-doc
 Replaces: cppunit (<< 1.10.0-3)
 Description: Unit Testing Library for C++

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_install-arch:
 	# Runtime library package
-	dh_install -plibcppunit-1.14-0 --autodest debian/tmp/usr/lib/*/lib*.so.*
+	dh_install -plibcppunit-1.15-0 --autodest debian/tmp/usr/lib/*/lib*.so.*
 
 	# Developer package
 #	dh_install -plibcppunit-dev --autodest debian/tmp/usr/bin/DllPlugInTester
@@ -32,7 +32,7 @@
 	dh_install -plibcppunit-dev --autodest debian/tmp/usr/include
 	# W: libcppunit-1.14-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libcppunit-1.14.so.0.0.0 usr/lib/x86_64-linux-gnu/libcppunit-1.14.so
 	dh_link -plibcppunit-dev /usr/lib/$(DEB_HOST_MULTIARCH)/libcppunit.so \
-		/usr/lib/$(DEB_HOST_MULTIARCH)/libcppunit-1.14.so
+		/usr/lib/$(DEB_HOST_MULTIARCH)/libcppunit-1.15.so
 
 override_dh_install-indep:
 	# Documentation package

=== debian/watch ===
version=3
http://dev-www.libreoffice.org/src/cppunit-([\d\.]+)\.tar\.gz
